<?php 

ob_start();

//error_reporting(0);

//ini_set(“display_errors”, 0 );

include "../protege_professor.php";

 

/* Cria a instância */





function extenso($valor=0, $maiusculas=false) {

        // verifica se tem virgula decimal

        if (strpos($valor, ",") > 0) {

                // retira o ponto de milhar, se tiver

                $valor = str_replace(".", "", $valor);



                // troca a virgula decimal por ponto decimal

                $valor = str_replace(",", ".", $valor);

        }

        $singular = array("centavo", "real", "mil", "milhão", "bilhão", "trilhão", "quatrilhão");

        $plural = array("centavos", "reais", "mil", "milhões", "bilhões", "trilhões",

                "quatrilhões");



        $c = array("", "cem", "duzentos", "trezentos", "quatrocentos",

                "quinhentos", "seiscentos", "setecentos", "oitocentos", "novecentos");

        $d = array("", "dez", "vinte", "trinta", "quarenta", "cinquenta",

                "sessenta", "setenta", "oitenta", "noventa");

        $d10 = array("dez", "onze", "doze", "treze", "quatorze", "quinze",

                "dezesseis", "dezesete", "dezoito", "dezenove");

        $u = array("", "um", "dois", "três", "quatro", "cinco", "seis",

                "sete", "oito", "nove");



        $z = 0;



        $valor = number_format($valor, 2, ".", ".");

        $inteiro = explode(".", $valor);

        $cont = count($inteiro);

        for ($i = 0; $i < $cont; $i++)

                for ($ii = strlen($inteiro[$i]); $ii < 3; $ii++)

                $inteiro[$i] = "0" . $inteiro[$i];



        $fim = $cont - ($inteiro[$cont - 1] > 0 ? 1 : 2);

        $rt = '';

        for ($i = 0; $i < $cont; $i++) {

                $valor = $inteiro[$i];

                $rc = (($valor > 100) && ($valor < 200)) ? "cento" : $c[$valor[0]];

                $rd = ($valor[1] < 2) ? "" : $d[$valor[1]];

                $ru = ($valor > 0) ? (($valor[1] == 1) ? $d10[$valor[2]] : $u[$valor[2]]) : "";



                $r = $rc . (($rc && ($rd || $ru)) ? " e " : "") . $rd . (($rd &&

                        $ru) ? " e " : "") . $ru;

                $t = $cont - 1 - $i;

                $r .= $r ? " " . ($valor > 1 ? $plural[$t] : $singular[$t]) : "";

                if ($valor == "000"



                )$z++; elseif ($z > 0)

                $z--;

                if (($t == 1) && ($z > 0) && ($inteiro[0] > 0))

                $r .= ( ($z > 1) ? " de " : "") . $plural[$t];

                if ($r)

                $rt = $rt . ((($i > 0) && ($i <= $fim) &&

                        ($inteiro[0] > 0) && ($z < 1)) ? ( ($i < $fim) ? ", " : " e ") : " ") . $r;

        }



        if (!$maiusculas) {

                return($rt ? $rt : "zero");

        } elseif ($maiusculas == "2") {

                return (strtoupper($rt) ? strtoupper($rt) : "Zero");

        } else {

                return (ucwords($rt) ? ucwords($rt) : "Zero");

        }

        }



function inteiro($valor=0, $maiusculas=false) {

        // verifica se tem virgula decimal

        if (strpos($valor, ",") > 0) {

                // retira o ponto de milhar, se tiver

                $valor = str_replace(".", "", $valor);



                // troca a virgula decimal por ponto decimal

                $valor = str_replace(",", ".", $valor);

        }

        $singular = array("", "", "mil", "milhão", "bilhão", "trilhão", "quatrilhão");

        $plural = array("", "", "mil", "milhão", "bilhão", "trilhão",

                "quatrilhão");



        $c = array("", "cem", "duzentos", "trezentos", "quatrocentos",

                "quinhentos", "seiscentos", "setecentos", "oitocentos", "novecentos");

        $d = array("", "dez", "vinte", "trinta", "quarenta", "cinquenta",

                "sessenta", "setenta", "oitenta", "noventa");

        $d10 = array("dez", "onze", "doze", "treze", "quatorze", "quinze",

                "dezesseis", "dezesete", "dezoito", "dezenove");

        $u = array("", "um", "dois", "três", "quatro", "cinco", "seis",

                "sete", "oito", "nove");



        $z = 0;



        $valor = number_format($valor, 2, ".", ".");

        $inteiro = explode(".", $valor);

        $cont = count($inteiro);

        for ($i = 0; $i < $cont; $i++)

                for ($ii = strlen($inteiro[$i]); $ii < 3; $ii++)

                $inteiro[$i] = "0" . $inteiro[$i];



        $fim = $cont - ($inteiro[$cont - 1] > 0 ? 1 : 2);

        $rt = '';

        for ($i = 0; $i < $cont; $i++) {

                $valor = $inteiro[$i];

                $rc = (($valor > 100) && ($valor < 200)) ? "cento" : $c[$valor[0]];

                $rd = ($valor[1] < 2) ? "" : $d[$valor[1]];

                $ru = ($valor > 0) ? (($valor[1] == 1) ? $d10[$valor[2]] : $u[$valor[2]]) : "";



                $r = $rc . (($rc && ($rd || $ru)) ? " e " : "") . $rd . (($rd &&

                        $ru) ? " e " : "") . $ru;

                $t = $cont - 1 - $i;

                $r .= $r ? " " . ($valor > 1 ? $plural[$t] : $singular[$t]) : "";

                if ($valor == "000"



                )$z++; elseif ($z > 0)

                $z--;

                if (($t == 1) && ($z > 0) && ($inteiro[0] > 0))

                $r .= ( ($z > 1) ? " de " : "") . $plural[$t];

                if ($r)

                $rt = $rt . ((($i > 0) && ($i <= $fim) &&

                        ($inteiro[0] > 0) && ($z < 1)) ? ( ($i < $fim) ? ", " : " e ") : " ") . $r;

        }



        if (!$maiusculas) {

                return($rt ? $rt : "zero");

        } elseif ($maiusculas == "2") {

                return (strtoupper($rt) ? strtoupper($rt) : "Zero");

        } else {

                return (ucwords($rt) ? ucwords($rt) : "Zero");

        }

        }










       $idvenda   = $_GET["idvenda"];

       $modelo_id = $_GET["modelo_id"];




       






                      include "../conexao.php";

                $query_amigo = "SELECT * FROM venda

                INNER JOIN cliente ON cliente.idcliente = venda.cliente_idcliente

                INNER JOIN lote ON lote.idlote = venda.lote_idlote

                INNER JOIN produto ON  lote.produto_idproduto = produto.idproduto

                INNER JOIN empreendimento ON  produto.empreendimento_idempreendimento = empreendimento.idempreendimento

                INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro

                

                where venda.idvenda = $idvenda";



                //echo "<br>" . $query_amigo; die();

                $executa_query = mysqli_query ($db, $query_amigo);



                

                

            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos

           

            

$cod_contrato       = $buscar_amigo["idvenda"];



$idcliente          = $buscar_amigo["idcliente"];

$nome_cli     = $buscar_amigo["nome_cli"];

$cpf_cli      = $buscar_amigo["cpf_cli"];

$rg_cli       = $buscar_amigo["rg_cli"];

$estadocivil_cli  = $buscar_amigo["estadocivil_cli"];

$nacionalidade_cli  = $buscar_amigo["nacionalidade_cli"];

$profissao_cli    = $buscar_amigo["profissao_cli"];

$nascimento_cli   = $buscar_amigo["nascimento_cli"];

$email_cli      = $buscar_amigo["email_cli"];

$cidade_cli     = $buscar_amigo["cidade_cli"];

$logradouro_cli   = $buscar_amigo["logradouro_cli"];

$endereco_cli   = $buscar_amigo["endereco_cli"];

$numero_cli     = $buscar_amigo["numero_cli"];

$complemento_cli  = $buscar_amigo["complemento_cli"];

$bairro_cli     = $buscar_amigo["bairro_cli"];

$complemento_cli  = $buscar_amigo["complemento_cli"];

$telefone1_cli    = $buscar_amigo["telefone1_cli"];

$telefone2_cli    = $buscar_amigo["telefone2_cli"];

$cep_cli        = $buscar_amigo["cep_cli"];

$estado_cli       = $buscar_amigo["estado_cli"];

$renda_total       = $buscar_amigo["renda_total"];

$renda_total =  'R$ ' . number_format($renda_total, 2, ',', '.')." (".extenso($renda_total).")";  



$lote            = $buscar_amigo["lote"];

$m2              = $buscar_amigo["m2"];

$mFrente            = $buscar_amigo["frente"];

$mFundo             = $buscar_amigo["fundo"];

$mEsquerdo          = $buscar_amigo["esquerda"];

$mDireito           = $buscar_amigo["direita"];




$mCfrente           = $buscar_amigo['mfrente'];

$mCdireito          = $buscar_amigo['mld'];

$mCesquerdo         = $buscar_amigo['mle'];

$mCfundo            = $buscar_amigo['mfundo'];

$mOUtros            = $buscar_amigo['coutros'];

$mCoutros           = $buscar_amigo['moutros'];



$obs_lote           = $buscar_amigo['obs_lote'];







$proposta_compra              = $buscar_amigo["proposta_compra"];

$matricula_empreendimento     = $buscar_amigo["matricula_empreendimento"];

$img_lote                     = $buscar_amigo["img_lote"];

$idempreendimento_cadastro    = $buscar_amigo["idempreendimento_cadastro"];

$descricao_empreendimento     = $buscar_amigo["descricao_empreendimento"];

$matricula                    = $buscar_amigo["matricula"];

$cadastro_prefeitura          = $buscar_amigo["cadastro_prefeitura"];

$confrontacao                 = $buscar_amigo["confrontacao"];

$quadra                       = $buscar_amigo["quadra"];

$valor                        = $buscar_amigo["valor"];

$data_venda                   = $buscar_amigo["data_venda"];

        

$valor_desconto               = $buscar_amigo["valor_desconto"];   // VALOR DO LOTE A SER FINANCI 



$inter_qtd                    = $buscar_amigo["inter_qtd"]; // Quantidade parcelas intermediarias

$inter_valor                  = $buscar_amigo["inter_valor"]; // valor da parcela intermediaria

$tot_parc_intermediaria       = $inter_qtd * $inter_valor;



$valor_total_entrada3         = $buscar_amigo["valor_entrada"];  // SINAL

$valor_total_entrada4         = $buscar_amigo["entrada_restante"];  // ENTRADA NORMAL TOTAL


$valor_entrada_total = $valor_total_entrada3 + $valor_total_entrada4;
$valor_entrada_total = 'R$ ' . number_format($valor_entrada_total, 2, ',', '.')." (".extenso($valor_entrada_total).")"; 




$saldo_devedor                = $valor_desconto - ($valor_total_entrada3 + $valor_total_entrada4 + $tot_parc_intermediaria);          



$valor_para_parcelamento      = $buscar_amigo["valor_para_parcelamento"];   // VALOR DO LOTE A SER FINANCI   



$qtd_parcelas_entrada         = $buscar_amigo["parcela_entrada"]; // QUANTIDADE ENTRADA NORMAL

$qtd_parcelas_financiamento   = $buscar_amigo["plano_pagamento"]; // QUANTIDADE FINANCIAMENTO

$qtd_par = $qtd_parcelas_financiamento;

$qtd_parcelas_financiamento =  $qtd_par ." (" .inteiro($qtd_parcelas_financiamento) .")" ;

//echo "A QUANTIDADE DAS PARCELAS FINANCIADAS FORAM DE .: " . $qtd_parcelas_financiamento; die();

$valor_parcela_financiamento  = $buscar_amigo["valor_parcela_financiamento"];  // VALOR DA PARCELA DO FINAN

$valor_parcela_entrada        = $buscar_amigo["valor_parcela_entrada"]; // VALOR DA PARCELA JA NA PRICE



$inter_valor                  = $buscar_amigo["inter_valor"]; // valor da parcela intermediaria

$inter_data                   = $buscar_amigo["inter_data"]; // data da primeira intermediaria

$inter_periodo                = $buscar_amigo["inter_periodo"]; // data da primeira intermediaria



$imobiliaria_idimobiliaria    = $buscar_amigo["imobiliaria_idimobiliaria"]; 



      $data_venda    = explode("-", $data_venda);

      $dia_contrato        = $data_venda[0];

      $mes_contrato        = intval($data_venda[1]);

      $ano_contrato        = $data_venda[2];





      // $dia_fin    = explode("-", $inter_data);

      // $dia_vencimento_primeira_financiamento        = $dia_fin[0];

  



$meses = array (1 => "Janeiro", 2 => "Fevereiro", 3 => "Março", 4 => "Abril", 5 => "Maio", 6 => "Junho", 7 => "Julho", 8 => "Agosto", 9 => "Setembro", 10 => "Outubro", 11 => "Novembro", 12 => "Dezembro");





 $nome_mes = $meses[$mes_contrato];







$valor_entrada = 'R$ ' . number_format($valor_total_entrada4, 2, ',', '.')." (".extenso($valor_total_entrada4).")"; 



$valor_desconto = 'R$ ' . number_format($valor_desconto, 2, ',', '.')." (".extenso($valor_desconto).")"; 

$valor_para_parcelamento = 'R$ ' . number_format($valor_para_parcelamento, 2, ',', '.')." (".extenso($valor_para_parcelamento).")"; 



$inter_valor_parcela = 'R$ ' . number_format($inter_valor, 2, ',', '.')." (".extenso($inter_valor_parcela).")";  





$valor_parcela_financiamento  = 'R$ ' . number_format($valor_parcela_financiamento, 2, ',', '.')." (".extenso($valor_parcela_financiamento).")";



$valor_sinal = 'R$ ' . number_format($valor_total_entrada3, 2, ',', '.')." (".extenso($valor_sinal).")";

$valor_parcela_entrada = 'R$ ' . number_format($valor_parcela_entrada, 2, ',', '.')." (".extenso($valor_parcela_entrada).")";

$saldo_devedor = 'R$ ' . number_format($saldo_devedor, 2, ',','.')." (".extenso($saldo_devedor).")"; 



$vencimento_primeira          = $buscar_amigo["vencimento_primeira"];

$vencimento_restante          = $buscar_amigo["vencimento_restante"];

$idempreendimento             = $buscar_amigo["idempreendimento"]; 



$valor_total_entrada          = $valor_total_entrada3 + $valor_total_entrada4;



if($valor_total_entrada3 != ''){

    $data_vencimento_primeira_financiamento = date('d-m-Y', strtotime("+".($qtd_parcelas_entrada-1)." month", strtotime($vencimento_restante)));

}else{

       $data_vencimento_primeira_financiamento  = date('d-m-Y', strtotime("+".($qtd_parcelas_entrada)." month", strtotime($vencimento_restante)));



           }

}



      $dia_fin    = explode("-", $vencimento_restante);
 
      $diap = $dia_fin[0];



      $dia_vencimento_primeira_financiamento   =  $diap;

       







 $query_amigo_cli = "SELECT * FROM conjuge

                     INNER JOIN cliente ON conjuge.conjuge_idconjuge = cliente.idcliente

                     WHERE cliente_idcliente = $idcliente";





        

                $executa_query_cli = mysqli_query ($db,$query_amigo_cli);

                

                

            while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {//--verifica se são amigos

               

                 

                  $nome_con           = $buscar_amigo["nome_cli"];

                  $cpf_con            = $buscar_amigo["cpf_cli"];

                  $rg_con             = $buscar_amigo["rg_cli"];

                  $nacionalidade_con  = $buscar_amigo["nacionalidade_cli"];

                  $profissao_con      = $buscar_amigo["profissao_cli"];

                  $nascimento_con     = $buscar_amigo["nascimento_cli"];

               

}


function pegar_nome_cli($idcliente){

       include "../conexao.php";
       $query = "SELECT nome_cli FROM cliente WHERE idcliente = '$idcliente'";

       $executa_query = mysqli_query($db, $query);
       $busca_amigo = mysqli_fetch_assoc($executa_query);


       return $busca_amigo['nome_cli'];

}




function pegar_comissao_corretor($idvenda){

      include "../conexao.php";

      $query = "SELECT COUNT(parcelas.descricao) as qtd_comissao, SUM(parcelas.valor_parcelas) as valor_parcelas_corretor, cliente_id_novo, cliente.nome_cli FROM parcelas INNER JOIN cliente ON parcelas.cliente_id_novo = cliente.idcliente WHERE descricao = 'Comissao' AND venda_idvenda = '$idvenda' AND cliente_id_novo <> 0";

      //echo $query_amigo_cli;
       $executa_query = mysqli_query ($db, $query);
       $busca_amigo = mysqli_fetch_assoc($executa_query);

       return $busca_amigo;
}

 function nome_quem_vendeu($idcliente){
  include "../conexao.php";

  $query_amigo_cli = "SELECT * FROM cliente
                      WHERE idcliente = $idcliente";        

  $executa_query_cli = mysqli_query ($db,$query_amigo_cli);
  $buscar_amigo = mysqli_fetch_assoc($executa_query_cli);

  return $buscar_amigo;

}





                     

function quem_vendeu($id_vendeu){



  include "../conexao.php";

  $query_amigo_cli = "SELECT * FROM cliente

                      WHERE idcliente = $id_vendeu";

        

  $executa_query_cli = mysqli_query ($db,$query_amigo_cli);

  while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {

               

      $imob_id           = $buscar_amigo["imob_id"];

  }

  return $imob_id;

}



$quem_vendeu = quem_vendeu($imobiliaria_idimobiliaria);



if($quem_vendeu == 0){

  $dados_vendeu = nome_quem_vendeu($imobiliaria_idimobiliaria);

  $vendedora  = $dados_vendeu["nome_cli"];

  $cpf_exibe   = $dados_vendeu["cpf_cli"];

  $creci_exibe = $dados_vendeu["creci"];

}else{

  $dados_vendeu = nome_quem_vendeu($quem_vendeu);

  $vendedora  = $dados_vendeu["nome_cli"];

  $cpf_exibe   = $dados_vendeu["cpf_cli"];

  $creci_exibe = $dados_vendeu["creci"];

}





function dados_proponente($idcliente){

   include "../conexao.php";
   $query_amigo_cli = "SELECT * FROM cliente
                       WHERE idcliente = $idcliente";  

   $executa_query_cli = mysqli_query ($db,$query_amigo_cli);
   $buscar_amigo = mysqli_fetch_assoc($executa_query_cli);
            

    return $buscar_amigo;

}







function consultar_cessao($venda_id, $cliente_id){



  include "../conexao.php";

  $query_amigo_cli = "SELECT * FROM proprietarios_lote

                      WHERE cliente_id = $cliente_id AND venda_id = $venda_id";

        

  $executa_query_cli = mysqli_query ($db,$query_amigo_cli);

  while ($buscar_amigo = mysqli_fetch_assoc($executa_query_cli)) {

               

      $cod_cessao           = $buscar_amigo["cod_cessao"];

  }

  return $cod_cessao;

}

function conta_socio($codigo_cessao){



  include "../conexao.php";

  $query_cessao = mysqli_query($db, "SELECT * FROM proprietarios_lote

                      WHERE cod_cessao = '$codigo_cessao'");

        

    $total = mysqli_num_rows($query_cessao);

  

  return $total;

}



function ids_socio($codigo_cessao){



  include "../conexao.php";

  $query_cessao = mysqli_query($db, "SELECT * FROM proprietarios_lote

                      WHERE cod_cessao = '$codigo_cessao'");

     $cont = 0;   

   while ($buscar_amigo = mysqli_fetch_assoc($query_cessao)) {

               

      $cliente_id[$cont]           = $buscar_amigo["cliente_id"];



      $cont = $cont + 1;

  }

  return $cliente_id;

  

 

}



function tem_conjuge($cliente_id){

 include "../conexao.php";

 $query_conjuge = mysqli_query($db, "SELECT COUNT(idconjuge) as total, conjuge_idconjuge FROM conjuge

   INNER JOIN cliente ON conjuge.conjuge_idconjuge = cliente.idcliente

   WHERE cliente_idcliente = $cliente_id");



 while ($buscar_amigo = mysqli_fetch_assoc($query_conjuge)) {



  $conjuge_idconjuge  = $buscar_amigo["conjuge_idconjuge"];

  $total              = $buscar_amigo["total"];

}



$dados["conjuge_idconjuge"] = $conjuge_idconjuge;

$dados["total"] = $total;







return $dados;

}



 include "../conexao.php";

   $query_contrato = mysqli_query($db, "SELECT conteudo FROM modelo_contrato where idmodelo_contrato = $modelo_id");



  while ($buscar_amigo = mysqli_fetch_assoc($query_contrato)) {

               

      $conteudo  = $buscar_amigo["conteudo"];

  }





  function busca_taxareng($venda){



    include '../conexao.php';



    $query = mysqli_query($db, "SELECT * FROM venda_renegociacao WHERE venda_id = '$venda' AND status = 0 ORDER BY idvenda_renegociacao DESC LIMIT 1");



    if(mysqli_num_rows($query) > 0){

      $aux = mysqli_fetch_assoc($query);



      return $aux;



    }else{



      return null;

    }

  }



  function busca_valorcessao($venda){

    include '../conexao.php';



    $query = mysqli_query($db, "SELECT * FROM cessao WHERE venda_id = '$venda' AND status = 0 ORDER BY idcessao DESC LIMIT 1");



    if(mysqli_num_rows($query) > 0){

      $aux = mysqli_fetch_assoc($query);



      return $aux;



    }else{



      return null;

    }

  }


function pega_comissao_venda($idvenda){    
      include "../conexao.php";

      $query = "SELECT * FROM venda_comissao WHERE venda_id = '$idvenda'  ORDER BY   idcomissao DESC LIMIT 1";

      $executa_query = mysqli_query($db, $query);

      while($buscar_amigo = mysqli_fetch_assoc($executa_query)){
          $percent_gestao                = $buscar_amigo['percent_gestao'];
          $percent_midia                 = $buscar_amigo['percent_midia'];
          $v_percent_gestao              = $buscar_amigo['v_percent_gestao'];
          $v_percent_midia               = $buscar_amigo['v_percent_midia'];
          $v_corretagem                  = $buscar_amigo['v_corretagem'];
          $vt_comissao                   = $v_percent_midia + $v_percent_gestao + $v_corretagem;
          $lancado_por                   = $buscar_amigo['lancado_por'];
          $comissao_para                 = $buscar_amigo['comissao_para'];
          $data_lancado                  = $buscar_amigo['data_lancado'];
          $vencimento_primeira_comissao  = $buscar_amigo['data_venc_primeira'];
          $qtd_parcelas_comissao         = $buscar_amigo['qtd_parcelas'];


      }

      $dados['percent_gestao']               = $percent_gestao;
      $dados['percent_midia']                = $percent_midia;
      $dados['v_percent_gestao']             = $v_percent_gestao;
      $dados['v_percent_midia']              = $v_percent_midia;
      $dados['v_corretagem']                 = $v_corretagem;
      $dados['v_total_comissao']             = $vt_comissao;
      $dados['lancado_por']                  = $lancado_por;
      $dados['comissao_para']                = $comissao_para;
      $dados['data_lancado_comissao']        = $data_lancado;
      $dados['vencimento_primeira_comissao'] = $vencimento_primeira_comissao;
      $dados['qtd_parcelas_comissao']        = $qtd_parcelas_comissao;


     return $dados;

}





  function busca_distrado($venda){

    include '../conexao.php';



    $query = mysqli_query($db, "SELECT * FROM distrato WHERE venda_id = '$venda' AND status = 0 ORDER BY iddistrato DESC LIMIT 1");



    if(mysqli_num_rows($query) > 0){

      $aux = mysqli_fetch_assoc($query);



      return $aux;



    }else{



      return null;

    }

  }

//echo "imprindo confrontaçoes.:" . $mCfrente ."-". $mFrente ."-". $mCfundo ."-". $mCfundo; die();





   

  function trocar_conteudo($venda, $descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula, $confrontacao, $valor_sinal, $valor_entrada, $qtd_parcelas_entrada, $valor_parcela_entrada, $vencimento_primeira,$qtd_parcelas_financiamento, $valor_parcela_financiamento, $data_primeira_financiamento, $vendedora, $dia_contrato, $mes_contrato, $ano_contrato, $dia_vencimento_primeira_financiamento, $email_cli, $total_socio, $valor_desconto, $valor_para_parcelamento, $estadocivil_cli, $cod_contrato, $saldo_devedor, $valor_comissao_corretor, $qtd_comissao_corretor, $beneficiario_corretor, $mFrente, $mDireito, $mFundo, $mEsquerdo, $mOutros, $mCfrente, $mCdireito, $mCfundo, $mCesquerdo, $mCoutros, $obs_lote, $valor_entrada_total) { 



//echo "A DATA VENCIMENTO DA PRIMEIRA DO FINANCIAMENTO É .: " . $data_primeira_financiamento . "<BR>"; die();




    $conteudo = array();

    $cont = 1;

    require_once '../bootstrap.php';

    include "../conexao.php";

    $modelo_doc = $_GET['modelo_id'];



    $query = mysqli_fetch_assoc(mysqli_query($db, "SELECT `conteudo` FROM `modelo_contrato` WHERE idmodelo_contrato = $modelo_doc"));

    $query = $query['conteudo'];



    $templateProcessor = new \PhpOffice\PhpWord\TemplateProcessor("../".$query);





    foreach ($total_socio as $key) {







      if($cont == 1){

        $num = '';

      }else{

        $num = $cont;

      }


                     // @valor_comissao_midia,
                     // @valor_comissao_gestao,
                     // @valor_corretagem,
                     // @valor_total_comissao,
                     // @qtd_parcelas_comissao,
                     // @percentual_midia,
                     // @percentual_gestao,
                     // @lancado_por,
                     // @data_lancamento,
                     // @comissao_para,
                     // @vencimento_repasse





      $a = array('@nome'.$num.'_cli', '@rg'.$num.'_cli', '@cpf'.$num.'_cli', '@nacionalidade'.$num.'_cli', '@profissao'.$num.'_cli', '@nascimento'.$num.'_cli', '@estadocivil'.$num.'_cli', '@renda'.$num.'_total','@cep'.$num.'_cli', '@endereco'.$num.'_cli', '@numero'.$num.'_cli', '@bairro'.$num.'_cli', '@cidade'.$num.'_cli', '@estado'.$num.'_cli', '@telefone1'.$num.'_cli', '@telefone2'.$num.'_cli', '@nome'.$num.'_con', '@rg'.$num.'_con', '@cpf'.$num.'_con', '@nacionalidade'.$num.'_con', '@profissao'.$num.'_con', '@nascimento'.$num.'_con', '@telefone1'.$num.'_con', '@telefone2'.$num.'_con','@descricao_empreendimento', '@matricula_empreendimento', '@quadra', '@lote', '@m2', '@cadastro_prefeitura', '@matricula', '@confrontacao', '@valor_sinal', '@valor_entrada', '@qtd_parcelas_entrada', '@valor_parcela_entrada', '@vencimento_primeira','@qtd_parcelas_financiamento', '@valor_parcela_financiamento', '@data_financiamento_venc_primeira', '@vendedora', '@dia_contrato', '@mes_contrato', '@ano_contrato','@dia_vencimento_primeira_financiamento', '@email'.$num.'_cli', '@valor_lote', '@valor_para_parcelamento', '@cod_contrato','@saldo_devedor', '@valor_comissao_corretor', '@qtd_comissao_corretor', '@beneficiario_corretor','@mFrente', '@mDireito', '@mFundo', '@mEsquerdo', '@mOutros', '@mCfrente','@mCdireito', '@mCfundo', '@mCesquerdo', '@mCoutros', '@obs_lote', '@taxas_reneg', '@valor_cessao', '@data_reneg', '@emissao_certidao', '@data_distrato', '@valor_pago', '@valor_devolvido','@valor_comissao_midia', '@valor_comissao_gestao', '@valor_total_comissao', '@valor_corretagem', '@qtd_parcelas_comissao', '@lancado_por', '@comissao_para', '@vencimento_repasse', '@percentual_midia', '@percentual_gestao', '@data_lancamento', '@orgao'.$num.'_cli_expedidor', '@orgao'.$num.'_con_expedidor','@email'.$num.'_con','@valor_entrada_total','@telefone3'.$num.'_cli','@telefone3'.$num.'_con', '@complemento'.$num.'_cli' ); 



      $dados_proponente = dados_proponente($key);
      // echo "<pre>";
      // print_r($dados_proponente);
      // echo "</pre>"; die();
      $nome_cli           = $dados_proponente["nome_cli"];

      $cpf_cli            = $dados_proponente["cpf_cli"];

      $rg_cli             = $dados_proponente["rg_cli"];

      $estadocivil_cli    = $dados_proponente["estadocivil_cli"];

      $nacionalidade_cli  = $dados_proponente["nacionalidade_cli"];

      $profissao_cli      = $dados_proponente["profissao_cli"];

      $nascimento_cli     = $dados_proponente["nascimento_cli"];

      $email_cli          = $dados_proponente["email_cli"];

      $cidade_cli         = $dados_proponente["cidade_cli"];

      $logradouro_cli     = $dados_proponente["logradouro_cli"];

      $endereco_cli       = $dados_proponente["endereco_cli"];

      $numero_cli         = $dados_proponente["numero_cli"];

      $complemento_cli    = $dados_proponente["complemento_cli"];

      $bairro_cli         = $dados_proponente["bairro_cli"];

      $complemento_cli    = $dados_proponente["complemento_cli"];

      $telefone1_cli      = $dados_proponente["telefone1_cli"];

      $telefone2_cli      = $dados_proponente["telefone2_cli"];
      $telefone3_cli      = $dados_proponente["telefone3_cli"];

      $cep_cli            = $dados_proponente["cep_cli"];

      $estado_cli         = $dados_proponente["estado_cli"];

      $orgao_expedidor    = $dados_proponente["orgao_expedidor"];





      $tem_conjuge = tem_conjuge($key);

      $conjuge_id = $tem_conjuge["conjuge_idconjuge"];



      $dados_conjuge = dados_proponente($conjuge_id);



      $nome_con           = $dados_conjuge["nome_cli"];

      $cpf_con            = $dados_conjuge["cpf_cli"];

      $rg_con             = $dados_conjuge["rg_cli"];

      $estadocivil_con    = $dados_conjuge["estadocivil_cli"];

      $nacionalidade_con  = $dados_conjuge["nacionalidade_cli"];

      $profissao_con      = $dados_conjuge["profissao_cli"];

      $nascimento_con     = $dados_conjuge["nascimento_cli"];

      $email_con          = $dados_conjuge["email_cli"];

      $telefone1_con      = $dados_conjuge["telefone1_cli"];

      $telefone2_con      = $dados_conjuge["telefone2_cli"];
      $telefone3_con      = $dados_conjuge["telefone3_cli"];

      $orgao_con_expedidor   = $dados_conjuge["orgao_expedidor"];

      






      $dados_reneg = busca_taxareng($venda);

      $tarifas = $dados_reneg["tarifas"];

      $data_contrato = $dados_reneg["data_contrato"];



      $dados_cessao = busca_valorcessao($venda);

      $valor_cessao = $dados_cessao['valor_cessao'];

      $emissao_certidao = $dados_cessao['emissao_certidao'];



      $dados_distrato = busca_distrado($venda);

      $data_distrato = $dados_distrato['data_distrato'];

      $valor_amortizado = $dados_distrato['valor_amortizado'];

      $valor_devolvido = $dados_distrato['valor_devolver'];


      $dados_comissao = pega_comissao_venda($venda);

      $v_midia         = $dados_comissao['v_percent_midia'];    
      $valor_comissao_gestao        = $dados_comissao['v_percent_gestao'];
      $valor_total_comissao         = $dados_comissao['v_total_comissao'];
      $valor_corretagem             = $dados_comissao['v_corretagem'];
      $qtd_parcelas_comissao        = $dados_comissao['qtd_parcelas_comissao'];
      $lancado_por                  = pegar_nome_cli($dados_comissao['lancado_por']);
      $comissao_para                = pegar_nome_cli($dados_comissao['comissao_para']);
      $data_lancado_comissao        = $dados_comissao['data_lancado_comissao'];
      $vencimento_primeira_comissao = $dados_comissao['vencimento_primeira_comissao'];
      $percentual_midia             = $dados_comissao['percent_midia'] . " %" ;
      $percentual_gestao            = $dados_comissao['percent_gestao'] . " %" ;


     $v_midia = 'R$ ' . number_format($v_midia, 2, ',', '.')." (".extenso($v_midia).")";
     $valor_comissao_gestao = 'R$ ' . number_format($valor_comissao_gestao, 2, ',', '.')." (".extenso($valor_comissao_gestao).")";
     $valor_total_comissao = 'R$ ' . number_format($valor_total_comissao, 2, ',', '.')." (".extenso($valor_total_comissao).")";
     $valor_corretagem = 'R$ ' . number_format($valor_corretagem, 2, ',', '.')." (".extenso($valor_corretagem).")";



      $data_contrato = str_replace("-", "/", $data_contrato);
      $data_lancado_comissao = str_replace("-", "/", $data_lancado_comissao);
      $vencimento_primeira_comissao = str_replace("-", "/", $vencimento_primeira_comissao);
      $data_primeira_financiamento = str_replace("-", "/", $data_primeira_financiamento);


 $dia_extenso = '('.inteiro($dia_vencimento_primeira_financiamento).')';
 $dia_vencimento_primeira_financiamento = $dia_vencimento_primeira_financiamento. $dia_extenso;


      $b = array($nome_cli, $rg_cli, $cpf_cli, $nacionalidade_cli, $profissao_cli, $nascimento_cli, $estadocivil_cli, 

                $renda_total,$cep_cli, $endereco_cli, $numero_cli, $bairro_cli, $cidade_cli, $estado_cli, $telefone1_cli,

                $telefone2_cli, $nome_con, $rg_con, $cpf_con, $nacionalidade_con, $profissao_con, $nascimento_con, $telefone1_con, 

                $telefone2_con,$descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula,

                $confrontacao, $valor_sinal, $valor_entrada, $qtd_parcelas_entrada, $valor_parcela_entrada, $vencimento_primeira,$qtd_parcelas_financiamento, 

                $valor_parcela_financiamento, $data_primeira_financiamento, $vendedora, $dia_contrato, $mes_contrato, $ano_contrato, $dia_vencimento_primeira_financiamento, 

                $email_cli, $valor_desconto, $valor_para_parcelamento, $cod_contrato, $saldo_devedor, $valor_comissao_corretor, $qtd_comissao_corretor, $beneficiario_corretor,

                $mFrente, $mDireito, $mFundo, $mEsquerdo, $mOutros, $mCfrente, $mCdireito, $mCfundo, $mCesquerdo, $mCoutros, $obs_lote, $tarifas, $data_contrato, $valor_cessao, $emissao_certidao,

                $data_distrato, $valor_amortizado, $valor_devolvido, $v_midia, $valor_comissao_gestao, $valor_total_comissao, $valor_corretagem, $qtd_parcelas_comissao, $lancado_por, $comissao_para, $vencimento_primeira_comissao, $percentual_midia, $percentual_gestao, $data_lancado_comissao, $orgao_expedidor, $orgao_con_expedidor, $email_con, $valor_entrada_total, $telefone3_cli, $telefone3_con, $complemento_cli ); 





      



      foreach ($a as $chave => $valor) {

        if($b[$chave] == NULL){

          $templateProcessor->setValue($valor, '');

        }else{

          $templateProcessor->setValue($valor, $b[$chave]);

        }

      }

    



      //$conteudo = str_replace($a, $b, $conteudo); 

      //die();



      $cont = $cont + 1;

    }



    $templateProcessor->saveAs("../documentos_word/pos_modelo.docx");



    header("Location: ../ver_contrato_empreendimento.php?venda_idvenda=".$_GET['idvenda']."&confirma=1");

    die();

  } 



$codigo_cessao = consultar_cessao($idvenda, $idcliente);

$conta_socio   = conta_socio($codigo_cessao);

$array_corretor = pegar_comissao_corretor($idvenda);




$valor_parcelas_corretor = $array_corretor['valor_parcelas_corretor'];





$valor_comissao_corretor = 'R$ ' . number_format($valor_parcelas_corretor, 2, ',', '.')." (".extenso($valor_parcelas_corretor).")";



$qtd_comissao_corretor   = $array_corretor['qtd_comissao'] . "X";





$beneficiario_corretor   = $array_corretor['nome_cli'];





$ids_socio   = ids_socio($codigo_cessao);









//$trocar = trocar_conteudo($conteudo, $descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula, $confrontacao, $valor_sinal, $valor_entrada, $qtd_parcelas_entrada, $valor_parcela_entrada, $vencimento_primeira,$qtd_parcelas_financiamento, $valor_parcela_financiamento, $data_vencimento_primeira_financiamento, $vendedora, $dia_contrato, $mes_contrato, $ano_contrato, $dia_vencimento_primeira_financiamento, $email_cli, $total_socio, $valor_desconto, $valor_para_parcelamento, $estadocivil_cli, $cod_contrato, $saldo_devedor, $valor_comissao_corretor, $qtd_comissao_corretor, $beneficiario_corretor);





trocar_conteudo($idvenda, $descricao_empreendimento, $matricula_empreendimento, $quadra, $lote, $m2, $cadastro_prefeitura, $matricula, $confrontacao, $valor_sinal, $valor_entrada, $qtd_parcelas_entrada, $valor_parcela_entrada, $vencimento_primeira,$qtd_parcelas_financiamento, $valor_parcela_financiamento, $data_vencimento_primeira_financiamento, $vendedora, $dia_contrato, $nome_mes, $ano_contrato, $dia_vencimento_primeira_financiamento, $email_cli, $ids_socio, $valor_desconto, $valor_para_parcelamento, $estadocivil_cli, $cod_contrato, $saldo_devedor, $valor_comissao_corretor, $qtd_comissao_corretor, $beneficiario_corretor,$mFrente, $mDireito, $mFundo, $mEsquerdo, $mOutros, $mCfrente, $mCdireito, $mCfundo, $mCesquerdo, $mCoutros, $obs_lote, $valor_entrada_total);





// echo "<br>EMPREENDIMENTO.: " . $descricao_empreendimento;

// echo "<br>MATRICULA EMPREENDIMENTO .: " . $matricula_empreendimento; 

// echo "<br>QUADRA .: " . $quadra;

// echo "<br>LOTE .:" . $lote;

// echo "<br>M2 .: " . $m2;

// echo "<br>CADASTRO PREFEITURA .: " . $cadastro_prefeitura;

// echo "<br>MATRICULA .: " . $matricula;

// echo "<br>CONFRONTAÇÃO .: " . $confrontacao;

// echo "<br>VALOR  SINAL .: " . $valor_sinal;

// echo "<br>VALOR ENTRADA .: " . $valor







?>